%global pypi_name setuptools_scm

Summary:        Blessed package to manage your versions by SCM tags
Name:           python-%{pypi_name}
Version:        7.1.0
Release:        4%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel pyproject-rpm-macros
BuildRequires:  git-core mercurial

%description
%{pypi_name} extract Python package versions from git or hg metadata
instead of declaring them as the version argument or in a SCM managed file.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{pypi_name} extract Python package versions from git or hg metadata
instead of declaring them as the version argument or in a SCM managed file.


%package -n python%{python3_pkgversion}-%{pypi_name}+toml
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}+toml
%{pypi_name} extract Python package versions from git or hg metadata
instead of declaring them as the version argument or in a SCM managed file.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -e %{toxenv}-test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%tox -- -- -v -k 'not test_pip_download and not test_distlib_setuptools_works and not test_pyproject_support'


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%files -n python%{python3_pkgversion}-%{pypi_name}+toml
%dir %{python3_sitelib}/%{pypi_name}-%{version}.dist-info/


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 cunshunxia <cunshunxia@tencent.com> - 7.1.0-1
- upgrade to 7.1.0

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 5 2022 cunshunxia <cunshunxia@tencent.com> - 6.4.2-2
- provide dist in toml

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 6.4.2-1
- initial build
